Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.midi
Class SharedMidiObject

    java.lang.Object
      org.red5.server.midi.SharedMidiObject

    public class SharedMidiObject

extends Object

Nested Class Summary
`class` | `SharedMidiObject.MidiReceiver`

Field Summary
`protected MidiDevice` | `dev`
`protected String` | `deviceName`
`protected ISharedObject` | `so`

Constructor Summary
`SharedMidiObject(String deviceName, ISharedObject so)`

Method Summary
`void` | `close()`
`boolean` | `connect()`
`static MidiDevice` | `getMidiDevice(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deviceName

    protected String deviceName

### so

    protected ISharedObject so

### dev

    protected MidiDevice dev

Constructor Detail

### SharedMidiObject

    public SharedMidiObject(String deviceName,
                            ISharedObject so)

Method Detail

### connect

    public boolean connect()

### close

    public void close()

### getMidiDevice

    public static MidiDevice getMidiDevice(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project